<template>
  <div>
    <!-- part-one  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-80' : 'mt-140 pr-12 pl-12'"
    >
      <DbaWhat :data-given="item1" />
    </v-container>
    <!-- part-two -->
    <v-container
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <DbaWhy :data-given="item2" />
    </v-container>
    <!-- part-three -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? '' : 'pr-12 pl-12 mb-12'"
    >
      <DbaHow :data-given="item3" />
    </v-container>
  </div>
</template>
<script>
export default {
  async asyncData({ app }) {
    const wholeContent = await import(`~/locales/${app.i18n.locale}/solutions/dba`);
    const item1 = wholeContent.default.whatIsDba.items;
    const item2 = wholeContent.default.whyDba.items;
    const item3 = wholeContent.default.howDba;
    return { item1, item2, item3 };
  },
  head() {
    return {
      title: `${this.$t('dbaSolution.dba')} | ${this.$t('head.title')}`,
      meta: [
        {
          name: 'description',
          property: 'og:description',
          content: this.$t('dbaSolution.whatIsDba.description'),
          hid: 'description',
        },
      ],
    };
  },
};
</script>
